test-oldcgi: replace shebangs with explicit python calls to help pysh.
authorPatrick Mezard <pmezard@gmail.com>
Mon, 06 Aug 2007 09:57:23 +0200
changeset 5076 4f37ce544c16
parent 5075 2184378b20b5
child 5077 84b10dc3dccc
test-oldcgi: replace shebangs with explicit python calls to help pysh.
tests/test-oldcgi
--- a/tests/test-oldcgi	Mon Aug 06 09:57:23 2007 +0200
+++ b/tests/test-oldcgi	Mon Aug 06 09:57:23 2007 +0200
@@ -88,13 +88,13 @@
 SERVER_SIGNATURE="<address>Apache/2.0.53 (Fedora) Server at hg.omnifarious.org Port 80</address>\; export SERVER_SIGNATURE
 "
 SERVER_SOFTWARE="Apache/2.0.53 (Fedora)"; export SERVER_SOFTWARE
-./hgweb.cgi >page1 2>&1 ; echo $?
-./hgwebdir.cgi >page2 2>&1 ; echo $?
+python hgweb.cgi >page1 2>&1 ; echo $?
+python hgwebdir.cgi >page2 2>&1 ; echo $?
 PATH_INFO="/test/"
 PATH_TRANSLATED="/var/something/test.cgi"
 REQUEST_URI="/test/test/"
 SCRIPT_URI="http://hg.omnifarious.org/test/test/"
 SCRIPT_URL="/test/test/"
-./hgwebdir.cgi >page3 2>&1 ; echo $?
+python hgwebdir.cgi >page3 2>&1 ; echo $?
 fgrep -i error page1 page2 page3 && exit 1
 exit 0